Subject: Re: [PATCH 3/3] AFS: Implement basic file write support

From: David Howells <[email-masked]>
Date: Wed, 09 May 2007 12:07:39 +0100

Andrew Morton <[email-masked]> wrote:

> set_page_dirty() will set I_DIRTY_PAGES only.  ie: the inode has dirty
> pagecache data.
> 
> To tell the VFS that the inode itself is dirty one needs to run
> mark_inode_dirty().

But what's the difference in this case?  I don't need to write the inode back
per se, and the inode attributes can be updated by the mechanism of data
storage.

David